Index: LMDZ6/branches/Ocean_skin/arch/arch-X64_ADA.fcm
===================================================================
--- LMDZ6/branches/Ocean_skin/arch/arch-X64_ADA.fcm	(revision 3428)
+++ LMDZ6/branches/Ocean_skin/arch/arch-X64_ADA.fcm	(revision 3605)
@@ -11,7 +11,7 @@
 %DEBUG_FFLAGS        -p -g -O0 -fpe-all=0 -traceback -ftrapuv -fp-stack-check -check bounds,format,output_conversion,pointers,uninit -debug -ftz
 %MPI_FFLAGS
-%OMP_FFLAGS          -openmp
-%BASE_LD             -L/smplocal/pub/FFTW/3.3.3_dyn/lib -lfftw3 -shared-intel  -lmkl_intel_lp64 -lmkl_sequential -lmkl_core -lpthread -Wl,-rpath=/smplocal/pub/NetCDF/4.1.3/mpi/lib:/smplocal/pub/HDF5/1.8.9/par/lib:/smplocal/pub/FFTW/3.3.3_dyn/lib
-%MPI_LD              
-%OMP_LD              -openmp
+%OMP_FFLAGS          -qopenmp
+%BASE_LD             -L/smplocal/pub/FFTW/3.3.3_dyn/lib -lfftw3 -shared-intel  -lmkl_intel_lp64 -lmkl_sequential -lmkl_core -lpthread -Wl,-rpath=/smplocal/pub/FFTW/3.3.3_dyn/lib
+%MPI_LD              -L/smplocal/pub/IdrMemMPI/1.4/lib -lidrmem
+%OMP_LD              -qopenmp
 
Index: LMDZ6/branches/Ocean_skin/arch/arch-X64_ADA.path
===================================================================
--- LMDZ6/branches/Ocean_skin/arch/arch-X64_ADA.path	(revision 3428)
+++ LMDZ6/branches/Ocean_skin/arch/arch-X64_ADA.path	(revision 3605)
@@ -1,6 +1,6 @@
 NETCDF_LIBDIR="${NETCDF_LDFLAGS:--L/smplocal/pub/NetCDF/4.1.3/mpi/lib -lnetcdff -lnetcdf -L/smplocal/pub/HDF5/1.8.9/par/lib -Bstatic -lhdf5hl_fortran -lhdf5_hl -lhdf5_fortran -lhdf5 -Bdynamic -lz}"
 NETCDF_INCDIR="${NETCDF_FFLAGS:--I/smplocal/pub/HDF5/1.8.9/par/include -I/smplocal/pub/NetCDF/4.1.3/mpi/include}"
-IOIPSL_INCDIR=$LMDGCM/../../lib
-IOIPSL_LIBDIR=$LMDGCM/../../lib
+IOIPSL_INCDIR=${workdir}/build/IOIPSL_trunk_ifort_fast
+IOIPSL_LIBDIR=${workdir}/build/IOIPSL_trunk_ifort_fast
 XIOS_INCDIR=$LMDGCM/../XIOS/inc
 XIOS_LIBDIR=$LMDGCM/../XIOS/lib
Index: LMDZ6/branches/Ocean_skin/arch/arch-X64_IRENE.fcm
===================================================================
--- LMDZ6/branches/Ocean_skin/arch/arch-X64_IRENE.fcm	(revision 3428)
+++ LMDZ6/branches/Ocean_skin/arch/arch-X64_IRENE.fcm	(revision 3605)
@@ -11,4 +11,5 @@
 %DEV_FFLAGS          -fp-model strict -p -g -O2 -traceback -fp-stack-check
 %DEBUG_FFLAGS        -fp-model strict -p -g -traceback -fp-stack-check -ftrapuv
+#%DEBUG_FFLAGS        -fp-model strict -p -g -traceback -fp-stack-check -ftrapuv -check bounds,noarg_temp_created,pointers,stack,uninit -debug full -init=arrays -init=snan
 %MPI_FFLAGS
 %OMP_FFLAGS          -qopenmp
Index: LMDZ6/branches/Ocean_skin/arch/arch-X64_IRENE.path
===================================================================
--- LMDZ6/branches/Ocean_skin/arch/arch-X64_IRENE.path	(revision 3428)
+++ LMDZ6/branches/Ocean_skin/arch/arch-X64_IRENE.path	(revision 3605)
@@ -1,12 +1,12 @@
 NETCDF_LIBDIR="-L$NETCDFFORTRAN_LIBDIR -L$NETCDF_LIBDIR -lnetcdf -lnetcdff"
 NETCDF_INCDIR=-I$NETCDFFORTRAN_INCDIR
-IOIPSL_INCDIR=$LMDGCM/../../lib
-IOIPSL_LIBDIR=$LMDGCM/../../lib
+IOIPSL_INCDIR="$LMDGCM/../../lib -I$LMDGCM/../IOIPSL/inc"
+IOIPSL_LIBDIR="$LMDGCM/../../lib -lioipsl -L$LMDGCM/../IOIPSL/lib"
 ORCH_INCDIR=$LMDGCM/../../lib
 ORCH_LIBDIR=$LMDGCM/../../lib
 OASIS_INCDIR=$LMDGCM/../../oasis3-mct/BLD/build/lib/psmile.MPI1
 OASIS_LIBDIR=$LMDGCM/../../oasis3-mct/BLD/lib
-INCA_LIBDIR=$LMDGCM/../INCA/config/lib
-INCA_INCDIR=$LMDGCM/../INCA/config/inc
+INCA_LIBDIR=$LMDGCM/../INCA/build/lib
+INCA_INCDIR=$LMDGCM/../INCA/build/inc
 XIOS_INCDIR=$LMDGCM/../XIOS/inc
 XIOS_LIBDIR=$LMDGCM/../XIOS/lib
Index: LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.env
===================================================================
--- LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.env	(revision 3605)
+++ LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.env	(revision 3605)
@@ -0,0 +1,8 @@
+module purge
+module load intel-compilers/19.0.4
+module load intel-mpi/19.0.4
+module load intel-mkl/19.0.4
+module load hdf5/1.10.5/intel-19.0.4-mpi
+module load netcdf/4.7.0/intel-19.0.4-mpi
+module load netcdf-fortran/4.4.5/intel-19.0.4-mpi
+
Index: LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.fcm
===================================================================
--- LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.fcm	(revision 3605)
+++ LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.fcm	(revision 3605)
@@ -0,0 +1,17 @@
+# $Id$
+%COMPILER            mpiifort
+%LINK                mpiifort
+%AR                  ar
+%ARFLAGS             rs
+%MAKE                gmake
+%FPP_FLAGS           -P -traditional
+%FPP_DEF             NC_DOUBLE FFT_MKL
+%BASE_FFLAGS         -i4 -r8 -auto -align all -fp-model strict
+%PROD_FFLAGS         -O3 -xHost -qopt-zmm-usage=high
+%DEV_FFLAGS          -p -g -O2 -traceback -fp-stack-check
+%DEBUG_FFLAGS        -p -g -O0 -traceback -fp-stack-check -ftrapuv -check bounds,noarg_temp_created,pointers,stack,uninit -debug full -init=arrays -init=snan
+%MPI_FFLAGS
+%OMP_FFLAGS          -qopenmp
+%BASE_LD             -i4 -r8 -auto -lmkl_intel_lp64 -lmkl_core -lmkl_sequential -lpthread
+%MPI_LD
+%OMP_LD              -qopenmp
Index: LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.path
===================================================================
--- LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.path	(revision 3605)
+++ LMDZ6/branches/Ocean_skin/arch/arch-X64_JEANZAY.path	(revision 3605)
@@ -0,0 +1,15 @@
+# $Id$
+#NETCDF_LIBDIR="-L$NETCDFFORTRAN_LIBDIR -L$NETCDF_LIBDIR -lnetcdf -lnetcdff"
+#NETCDF_INCDIR=-I$NETCDFFORTRAN_INCDIR
+NETCDF_LIBDIR="-lnetcdf -lnetcdff"
+NETCDF_INCDIR=
+IOIPSL_INCDIR=$WORK/build/IOIPSL_trunk
+IOIPSL_LIBDIR=$WORK/build/IOIPSL_trunk
+ORCH_INCDIR=$LMDGCM/../../lib
+ORCH_LIBDIR=$LMDGCM/../../lib
+OASIS_INCDIR=$LMDGCM/../../oasis3-mct/BLD/build/lib/psmile.MPI1
+OASIS_LIBDIR=$LMDGCM/../../oasis3-mct/BLD/lib
+INCA_LIBDIR=$LMDGCM/../INCA/build/lib
+INCA_INCDIR=$LMDGCM/../INCA/build/inc
+XIOS_INCDIR=$LMDGCM/../XIOS/inc
+XIOS_LIBDIR=$LMDGCM/../XIOS/lib
Index: LMDZ6/branches/Ocean_skin/arch/arch-gfortran.path
===================================================================
--- LMDZ6/branches/Ocean_skin/arch/arch-gfortran.path	(revision 3428)
+++ LMDZ6/branches/Ocean_skin/arch/arch-gfortran.path	(revision 3605)
@@ -1,6 +1,6 @@
-NETCDF_LIBDIR="-L/usr/local/lib -lnetcdf"
-NETCDF_INCDIR=-I/usr/local/include
-IOIPSL_INCDIR=$LMDGCM/../../lib
-IOIPSL_LIBDIR=$LMDGCM/../../lib
+NETCDF_LIBDIR="-lnetcdff -lnetcdf"
+NETCDF_INCDIR=-I/usr/include
+IOIPSL_INCDIR=/home/guez/Downloads/Compil_prod/IOIPSL
+IOIPSL_LIBDIR=/home/guez/Downloads/Compil_prod/IOIPSL
 ORCH_INCDIR=$LMDGCM/../../lib
 ORCH_LIBDIR=$LMDGCM/../../lib
